Zoom plugin cannot be updated after updating Mattermost (Server v4.9.2)


#1

Summary

Zoom plugin cannot be updated after updating Mattermost

Steps to reproduce

Mattermost V4.9.2
We had integrated Zoom to mattermost V4.7 and it was working fine.
Now after we have updated the mattermost to 4.9.2, zoom plugin settings were gone.
We have tried to put back the settings following the documentation, but get an error after trying to Save:

Observed behavior

Error message: /api/v4/plugins/zoom/activate:activatePlugin code=400 Unable to activate extracted plugin. Plugin may already exist and be activated. [details: unable to start plugin: zoom: APIKey is not configured.]

Is there a way to fix this?


#2

Hi @udayathreya, thanks for the report!

There was an issue with plugin configuration in 4.9.2. Can you help upgrade to 4.9.3 or 4.10.0, which were released this week? That should resolve it.